/*
 *  arch/mips/ddb5074/time.c -- Timer routines
 *
 *  Copyright (C) 2000 Geert Uytterhoeven <geert@sonycom.com>
 *                     Sony Software Development Center Europe (SDCE), Brussels
 */
#include <linux/init.h>
#include <linux/mc146818rtc.h>

static unsigned char ddb_rtc_read_data(unsigned long addr)
{
    /* arch/mips/kernel/time.c sucks!  We need to re-write it.
     * for now, I set year to 33 so that calendar year is 2001
     * (33 is BCD format for 21, epoch is set to 1980.)
     * (weird, I have to set it 34 in order to get 2001.  Oh, hack over hack.)
     */
    if (addr == RTC_YEAR)
        return 34;
    else
        return 0;
    /*
    outb_p(addr, RTC_PORT(0));
    return inb_p(RTC_PORT(1));
    */
}

static void ddb_rtc_write_data(unsigned char data, unsigned long addr)
{
    /*
    outb_p(addr, RTC_PORT(0));
    outb_p(data, RTC_PORT(1));
    */
}

static int ddb_rtc_bcd_mode(void)
{
	return 0;
}

struct rtc_ops ddb_rtc_ops = {
	ddb_rtc_read_data,
	ddb_rtc_write_data,
	ddb_rtc_bcd_mode
};
