#!/bin/sh

#! /bin/sh

export AR=mips-uclibc-ar
export AS=mips-uclibc-as
export LD=mips-uclibc-ld
export RANLIB=mips-uclibc-ranlib
export CC=mips-uclibc-gcc
export NM=mips-uclibc-nm

configure --target=mips-uclibc-linux \
     --host=mips-uclibc-linux \
     --build=i586-pc-linux-gnu \
     --prefix=/tpsrc/lib/curl \
     --disable-gopher \
     --disable-ldap \
     --disable-dict \
     --disable-telnet \
     --disable-ipv6 \
     --disable-debug \
     --without-ssl \
     --target=mips_lexra_fp_be-linux \
     --host=mips-hardhat-linux \
     --build=i586-pc-linux-gnu \
     --without-egd-socket \
     --without-krb4 \
     --without-random
